com.google.cloud.dataflow.sdk.runners

## Class DataflowPipelineTranslator.JobSpecification

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DataflowPipelineTranslator.JobSpecification

Enclosing class:
  DataflowPipelineTranslator

    public static class DataflowPipelineTranslator.JobSpecification
    extends Object

The result of a job translation.

Used to pass the result `Job` and any state that was used to construct the job that may be of use to other classes (eg the `PTransform` to StepName mapping).

### Constructor Summary

Constructors
Constructor and Description
`JobSpecification(com.google.api.services.dataflow.model.Job job, Map<AppliedPTransform<?,?,?>,String> stepNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.google.api.services.dataflow.model.Job` `getJob()`
`Map<AppliedPTransform<?,?,?>,String>` `getStepNames()` Returns the mapping of `AppliedPTransforms` to the internal step name for that `AppliedPTransform`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JobSpecification

    public JobSpecification(com.google.api.services.dataflow.model.Job job,
                            Map<AppliedPTransform<?,?,?>,String> stepNames)

### Method Detail

#### getJob

    public com.google.api.services.dataflow.model.Job getJob()

#### getStepNames

    public Map<AppliedPTransform<?,?,?>,String> getStepNames()

Returns the mapping of `AppliedPTransforms` to the internal step name for that `AppliedPTransform`.